package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.result.PrintPlanBrief;
import com.qmth.teachcloud.common.entity.BasicClazz;
import com.qmth.teachcloud.common.entity.BasicCourse;
import com.qmth.teachcloud.common.entity.BasicExam;
import com.qmth.teachcloud.common.entity.BasicSemester;

import java.util.List;

/**
 * <p>
 * 查询条件 服务类
 * </p>
 */
public interface ConditionService {

    List<BasicSemester> listSemester(Boolean enable);

    List<BasicExam> listExam(Long semesterId, Boolean enable);

    List<BasicCourse> listCourse(Long semesterId, Long examId, Boolean enable, List<String> printPlanId);

    List<String> listPaperNumber(Long semesterId, Long examId, String courseCode, List<String> printPlanId);

    List<PrintPlanBrief> listPrintPlan(Long semesterId, Long examId, String source);

    List<BasicClazz> listClazz(Long semesterId, Long examId, String courseCode);
}
